#include <linux/version.h>

#include <linux/string.h>
#include <linux/errno.h>
#include <linux/module.h>

#include "nikal.h"

#ifdef nNIKAL100_kCopyrightString
   MODULE_LICENSE(nNIKAL100_kCopyrightString);
#endif

#ifdef nNIKAL100_kAuthorString
   MODULE_AUTHOR(nNIKAL100_kAuthorString);
#endif

#ifdef nNIKAL100_kDescriptionString
   MODULE_DESCRIPTION(nNIKAL100_kDescriptionString);
#endif


int nNIPAL100_ckalcbInitModule(void* modulePtr, const char* name);
void nNIPAL100_ckalcbCleanupModule(void* modulePtr);

int init_module(void)
{
   return nNIPAL100_ckalcbInitModule(THIS_MODULE,(THIS_MODULE)->name);
}

void cleanup_module(void)
{
   nNIPAL100_ckalcbCleanupModule(THIS_MODULE);
}


#define nNIKAL100_mExportSymbol EXPORT_SYMBOL
extern int _ZN10nNISTCR10017iSTCCounterDMATapD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10017iSTCCounterDMATapD2Ev);
extern int _ZN10nNISTCR10017iSTCCounterDMATapD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10017iSTCCounterDMATapD1Ev);
extern int _ZN10nNISTCR10017iSTCCounterDMATapD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10017iSTCCounterDMATapD0Ev);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor16___ORBGetTObjectEv=_f0ee47e9c51fb93c6b9a2cb7261b8a94 */
extern int _f0ee47e9c51fb93c6b9a2cb7261b8a94;
nNIKAL100_mExportSymbol(_f0ee47e9c51fb93c6b9a2cb7261b8a94);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor14staticGetClassERi=_d66f61e8c5901aa9dfea96e1ee40e663 */
extern int _d66f61e8c5901aa9dfea96e1ee40e663;
nNIKAL100_mExportSymbol(_d66f61e8c5901aa9dfea96e1ee40e663);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor4linkERN9nNIMRL10023iPrimitiveSupervisorMapERN10nNIMDBG1008tStatus2E=_3cad45f1266a9ffaf3a4d7eb580378de */
extern int _3cad45f1266a9ffaf3a4d7eb580378de;
nNIKAL100_mExportSymbol(_3cad45f1266a9ffaf3a4d7eb580378de);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor12linkResourceERN10nNIMDBG1008tStatus2E=_455f298ddc8b1addff85b15f8b9a01c6 */
extern int _455f298ddc8b1addff85b15f8b9a01c6;
nNIKAL100_mExportSymbol(_455f298ddc8b1addff85b15f8b9a01c6);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor14unlinkResourceERN10nNIMDBG1008tStatus2E=_dfcaa9d42000b010bfb051a9af227148 */
extern int _dfcaa9d42000b010bfb051a9af227148;
nNIKAL100_mExportSymbol(_dfcaa9d42000b010bfb051a9af227148);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor6unlinkERN10nNIMDBG1008tStatus2E=_a266023254c24809e7179e8eb8b224a9 */
extern int _a266023254c24809e7179e8eb8b224a9;
nNIKAL100_mExportSymbol(_a266023254c24809e7179e8eb8b224a9);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor13requestCancelERN10nNIMDBG1008tStatus2E=_d83e2a2551a73b516a20a758cdcbcd16 */
extern int _d83e2a2551a73b516a20a758cdcbcd16;
nNIKAL100_mExportSymbol(_d83e2a2551a73b516a20a758cdcbcd16);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor7controlEjPN9nNIMRL10022iControlParameterBlockES3_RN10nNIMDBG1008tStatus2E=_3102d864c46fd52ffb686a480c7098bd */
extern int _3102d864c46fd52ffb686a480c7098bd;
nNIKAL100_mExportSymbol(_3102d864c46fd52ffb686a480c7098bd);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor15reserveResourceERN10nNIMDBG1008tStatus2E=_ff9bc56c9acb51a714dbb0c83c7f7541 */
extern int _ff9bc56c9acb51a714dbb0c83c7f7541;
nNIKAL100_mExportSymbol(_ff9bc56c9acb51a714dbb0c83c7f7541);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor6deployERKN9nNIMRL10018iPrimitiveSettingsERN10nNIMDBG1008tStatus2E=_63ba47362c1eb46edd6c6278acab1584 */
extern int _63ba47362c1eb46edd6c6278acab1584;
nNIKAL100_mExportSymbol(_63ba47362c1eb46edd6c6278acab1584);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor10initializeERKN9nNIMRL10018iPrimitiveSettingsEPNS1_14iRuntimeFacadeERN10nNIMDBG1008tStatus2E=_b564b79876eda1cc0e6ca3f82d8af06e */
extern int _b564b79876eda1cc0e6ca3f82d8af06e;
nNIKAL100_mExportSymbol(_b564b79876eda1cc0e6ca3f82d8af06e);
extern int _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisorD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisorD2Ev);
extern int _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisorD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisorD0Ev);
extern int _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisorD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisorD1Ev);
extern int _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisorC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisorC1Ev);
extern int _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisorC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisorC2Ev);
/* _ZNK10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor8getClassERi=_962746ae0178619c66f3edbe2b0d77be */
extern int _962746ae0178619c66f3edbe2b0d77be;
nNIKAL100_mExportSymbol(_962746ae0178619c66f3edbe2b0d77be);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor13___CPPKRLCastEPKS0_PKPv=_7bb8508ae8ebdc6439abafc0c00c2fae */
extern int _7bb8508ae8ebdc6439abafc0c00c2fae;
nNIKAL100_mExportSymbol(_7bb8508ae8ebdc6439abafc0c00c2fae);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor12commitCancelERN10nNIMDBG1008tStatus2E=_c5fcc3d0fbfae217f3a05fff62aeecc0 */
extern int _c5fcc3d0fbfae217f3a05fff62aeecc0;
nNIKAL100_mExportSymbol(_c5fcc3d0fbfae217f3a05fff62aeecc0);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor15releaseResourceERN10nNIMDBG1008tStatus2E=_309a6f824794d738e1fe8247530228e5 */
extern int _309a6f824794d738e1fe8247530228e5;
nNIKAL100_mExportSymbol(_309a6f824794d738e1fe8247530228e5);
/* _ZNK10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor20___CPPKRLDynamicCastEPKPv=_00e28d3c45602d8d227577ef208f01ff */
extern int _00e28d3c45602d8d227577ef208f01ff;
nNIKAL100_mExportSymbol(_00e28d3c45602d8d227577ef208f01ff);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor13___CPPKRLCastEPS0_PKPv=_6ce738ef16e8e31141077153db67025c */
extern int _6ce738ef16e8e31141077153db67025c;
nNIKAL100_mExportSymbol(_6ce738ef16e8e31141077153db67025c);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor20___CPPKRLDynamicCastEPKPv=_39da3a2f5c3dee98122c3d5f9bd2ce9b */
extern int _39da3a2f5c3dee98122c3d5f9bd2ce9b;
nNIKAL100_mExportSymbol(_39da3a2f5c3dee98122c3d5f9bd2ce9b);
/* _ZN10nNISTCR10019tSTCFREQOUTResource25destroySTCFREQOUTResourceEPS0_RN10nNIMDBG1008tStatus2E=_750c34ea3811fbfe6e3ac5656bd93ff7 */
extern int _750c34ea3811fbfe6e3ac5656bd93ff7;
nNIKAL100_mExportSymbol(_750c34ea3811fbfe6e3ac5656bd93ff7);
/* _ZN10nNISTCR10019tSTCFREQOUTResource24createSTCFREQOUTResourceE19tMemAllocationFlagsPN9nNISTC20013tMemMappedSTCERN10nNIMDBG1008tStatus2E=_497cf8123d39b37941a7295ed50ceccd */
extern int _497cf8123d39b37941a7295ed50ceccd;
nNIKAL100_mExportSymbol(_497cf8123d39b37941a7295ed50ceccd);
/* _ZN10nNISTCR10019tSTCFREQOUTResource13___CPPKRLCastEPS0_PKPv=_a02e22c09edba8d98fbbf9cb2fea357d */
extern int _a02e22c09edba8d98fbbf9cb2fea357d;
nNIKAL100_mExportSymbol(_a02e22c09edba8d98fbbf9cb2fea357d);
/* _ZN10nNISTCR10019tSTCFREQOUTResource20___CPPKRLDynamicCastEPKPv=_d02f2dab3c23bb804cbd15df56878736 */
extern int _d02f2dab3c23bb804cbd15df56878736;
nNIKAL100_mExportSymbol(_d02f2dab3c23bb804cbd15df56878736);
/* _ZN10nNISTCR10019tSTCFREQOUTResource13___CPPKRLCastEPKS0_PKPv=_fb5907d1ffae8f8df2f2c47d511c361d */
extern int _fb5907d1ffae8f8df2f2c47d511c361d;
nNIKAL100_mExportSymbol(_fb5907d1ffae8f8df2f2c47d511c361d);
/* _ZNK10nNISTCR10019tSTCFREQOUTResource20___CPPKRLDynamicCastEPKPv=_4153a167587534ea5ddb61f1660285fd */
extern int _4153a167587534ea5ddb61f1660285fd;
nNIKAL100_mExportSymbol(_4153a167587534ea5ddb61f1660285fd);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor16___ORBGetTObjectEv=_cb2806500c248ed16a9bbf6134939a58 */
extern int _cb2806500c248ed16a9bbf6134939a58;
nNIKAL100_mExportSymbol(_cb2806500c248ed16a9bbf6134939a58);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor14staticGetClassERi=_a17f325621effe1ff5b272eeca45cc2e */
extern int _a17f325621effe1ff5b272eeca45cc2e;
nNIKAL100_mExportSymbol(_a17f325621effe1ff5b272eeca45cc2e);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor14unlinkResourceERN10nNIMDBG1008tStatus2E=_34c4fbfd724729d02fb923dd2ae65016 */
extern int _34c4fbfd724729d02fb923dd2ae65016;
nNIKAL100_mExportSymbol(_34c4fbfd724729d02fb923dd2ae65016);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor6unlinkERN10nNIMDBG1008tStatus2E=_f3a9f19ba59363bf0d6383cde337b828 */
extern int _f3a9f19ba59363bf0d6383cde337b828;
nNIKAL100_mExportSymbol(_f3a9f19ba59363bf0d6383cde337b828);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor17getInputStreamPtrERN10nNIMDBG1008tStatus2E=_3062b99c23aa31f7b5b5f41b8195b764 */
extern int _3062b99c23aa31f7b5b5f41b8195b764;
nNIKAL100_mExportSymbol(_3062b99c23aa31f7b5b5f41b8195b764);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor18getOutputStreamPtrERN10nNIMDBG1008tStatus2E=_1b9adb55d35a54af127a4dc86cbd72b1 */
extern int _1b9adb55d35a54af127a4dc86cbd72b1;
nNIKAL100_mExportSymbol(_1b9adb55d35a54af127a4dc86cbd72b1);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor5writeEjjPhS1_RN10nNIMDBG1008tStatus2E=_25bdfc2ce305198ecd1dc8f2666342ae */
extern int _25bdfc2ce305198ecd1dc8f2666342ae;
nNIKAL100_mExportSymbol(_25bdfc2ce305198ecd1dc8f2666342ae);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor13requestCancelERN10nNIMDBG1008tStatus2E=_17ff076e10b041bbe55e1679bd163ecc */
extern int _17ff076e10b041bbe55e1679bd163ecc;
nNIKAL100_mExportSymbol(_17ff076e10b041bbe55e1679bd163ecc);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor7controlEjPN9nNIMRL10022iControlParameterBlockES3_RN10nNIMDBG1008tStatus2E=_ae9d254657639e9c88b21e46216ac101 */
extern int _ae9d254657639e9c88b21e46216ac101;
nNIKAL100_mExportSymbol(_ae9d254657639e9c88b21e46216ac101);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor12linkResourceERN10nNIMDBG1008tStatus2E=_70dfb8234ee4b53857db0fcc1f5ac587 */
extern int _70dfb8234ee4b53857db0fcc1f5ac587;
nNIKAL100_mExportSymbol(_70dfb8234ee4b53857db0fcc1f5ac587);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor15reserveResourceERN10nNIMDBG1008tStatus2E=_be1c8cde15eef98ec2324b4711c0b1d8 */
extern int _be1c8cde15eef98ec2324b4711c0b1d8;
nNIKAL100_mExportSymbol(_be1c8cde15eef98ec2324b4711c0b1d8);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor4linkERN9nNIMRL10023iPrimitiveSupervisorMapERN10nNIMDBG1008tStatus2E=_5ddad8ed0df7cd77cd50d23a749555d8 */
extern int _5ddad8ed0df7cd77cd50d23a749555d8;
nNIKAL100_mExportSymbol(_5ddad8ed0df7cd77cd50d23a749555d8);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor6deployERKN9nNIMRL10018iPrimitiveSettingsERN10nNIMDBG1008tStatus2E=_ca1dd7080cc4b71002ec465cd4a60aaf */
extern int _ca1dd7080cc4b71002ec465cd4a60aaf;
nNIKAL100_mExportSymbol(_ca1dd7080cc4b71002ec465cd4a60aaf);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor10initializeERKN9nNIMRL10018iPrimitiveSettingsEPNS1_14iRuntimeFacadeERN10nNIMDBG1008tStatus2E=_73af543c666a2b7f302cc8429b74c97a */
extern int _73af543c666a2b7f302cc8429b74c97a;
nNIKAL100_mExportSymbol(_73af543c666a2b7f302cc8429b74c97a);
extern int _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisorD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10030tSTCCounterPrimitiveSupervisorD2Ev);
extern int _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisorD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10030tSTCCounterPrimitiveSupervisorD0Ev);
extern int _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisorD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10030tSTCCounterPrimitiveSupervisorD1Ev);
extern int _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisorC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10030tSTCCounterPrimitiveSupervisorC1Ev);
extern int _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisorC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10030tSTCCounterPrimitiveSupervisorC2Ev);
/* _ZNK10nNISTCR10030tSTCCounterPrimitiveSupervisor8getClassERi=_9f01754387401a7051ee54fdf21c7563 */
extern int _9f01754387401a7051ee54fdf21c7563;
nNIKAL100_mExportSymbol(_9f01754387401a7051ee54fdf21c7563);
/* _ZNK10nNISTCR10030tSTCCounterPrimitiveSupervisor20___CPPKRLDynamicCastEPKPv=_f3c9ab6b9fff0b965a34242294cefe9d */
extern int _f3c9ab6b9fff0b965a34242294cefe9d;
nNIKAL100_mExportSymbol(_f3c9ab6b9fff0b965a34242294cefe9d);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor12commitCancelERN10nNIMDBG1008tStatus2E=_4250042434a055cccb1c5d8bf213d2be */
extern int _4250042434a055cccb1c5d8bf213d2be;
nNIKAL100_mExportSymbol(_4250042434a055cccb1c5d8bf213d2be);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor15releaseResourceERN10nNIMDBG1008tStatus2E=_a54bf107c92040302fa8daa724e6d3dd */
extern int _a54bf107c92040302fa8daa724e6d3dd;
nNIKAL100_mExportSymbol(_a54bf107c92040302fa8daa724e6d3dd);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor17getAvailableSpaceERN10nNIMDBG1008tStatus2E=_e28868ecfee007121da108006a7fb5f7 */
extern int _e28868ecfee007121da108006a7fb5f7;
nNIKAL100_mExportSymbol(_e28868ecfee007121da108006a7fb5f7);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor12getAvailableERN10nNIMDBG1008tStatus2E=_5e324712311010ca9cb0b88016cc828e */
extern int _5e324712311010ca9cb0b88016cc828e;
nNIKAL100_mExportSymbol(_5e324712311010ca9cb0b88016cc828e);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor4readEjjPhS1_PN10nNIMSRL10017iStreamAttributesERN10nNIMDBG1008tStatus2E=_34e410c100ee6be7480af49053e83a10 */
extern int _34e410c100ee6be7480af49053e83a10;
nNIKAL100_mExportSymbol(_34e410c100ee6be7480af49053e83a10);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor13___CPPKRLCastEPS0_PKPv=_a0d0f5f68d5b754e89179cbe9e99c0cc */
extern int _a0d0f5f68d5b754e89179cbe9e99c0cc;
nNIKAL100_mExportSymbol(_a0d0f5f68d5b754e89179cbe9e99c0cc);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor20___CPPKRLDynamicCastEPKPv=_4e69a68bdc42ce221d3d81b4b6df45fa */
extern int _4e69a68bdc42ce221d3d81b4b6df45fa;
nNIKAL100_mExportSymbol(_4e69a68bdc42ce221d3d81b4b6df45fa);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor13___CPPKRLCastEPKS0_PKPv=_975b8add55e16800e42f9e662d73ba39 */
extern int _975b8add55e16800e42f9e662d73ba39;
nNIKAL100_mExportSymbol(_975b8add55e16800e42f9e662d73ba39);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor16___ORBGetTObjectEv=_15c773c3f15ac31fa3ab4cf1cc3ff5b4 */
extern int _15c773c3f15ac31fa3ab4cf1cc3ff5b4;
nNIKAL100_mExportSymbol(_15c773c3f15ac31fa3ab4cf1cc3ff5b4);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor14staticGetClassERi=_6610f6dd8704242ebbe718fd79956f7d */
extern int _6610f6dd8704242ebbe718fd79956f7d;
nNIKAL100_mExportSymbol(_6610f6dd8704242ebbe718fd79956f7d);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor15reserveResourceERN10nNIMDBG1008tStatus2E=_734065855959828a0e6a96c89fb19095 */
extern int _734065855959828a0e6a96c89fb19095;
nNIKAL100_mExportSymbol(_734065855959828a0e6a96c89fb19095);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor15releaseResourceERN10nNIMDBG1008tStatus2E=_c5879e73f1f0c9d91de1b7820b5738e4 */
extern int _c5879e73f1f0c9d91de1b7820b5738e4;
nNIKAL100_mExportSymbol(_c5879e73f1f0c9d91de1b7820b5738e4);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor7controlEjPN9nNIMRL10022iControlParameterBlockES3_RN10nNIMDBG1008tStatus2E=_bebdca72532da9d961fce88401bcfc51 */
extern int _bebdca72532da9d961fce88401bcfc51;
nNIKAL100_mExportSymbol(_bebdca72532da9d961fce88401bcfc51);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor13requestCancelERN10nNIMDBG1008tStatus2E=_bcb068481429c3baac62cf92142e28a4 */
extern int _bcb068481429c3baac62cf92142e28a4;
nNIKAL100_mExportSymbol(_bcb068481429c3baac62cf92142e28a4);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor12commitCancelERN10nNIMDBG1008tStatus2E=_0811725e73343593b541f4ea6abbe72c */
extern int _0811725e73343593b541f4ea6abbe72c;
nNIKAL100_mExportSymbol(_0811725e73343593b541f4ea6abbe72c);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor18getOutputStreamPtrERN10nNIMDBG1008tStatus2E=_582b8bda8fd3cab7d893ff8f330cdf0f */
extern int _582b8bda8fd3cab7d893ff8f330cdf0f;
nNIKAL100_mExportSymbol(_582b8bda8fd3cab7d893ff8f330cdf0f);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor12linkResourceERN10nNIMDBG1008tStatus2E=_8a4bef7b87e2a4e99756f393e8625d03 */
extern int _8a4bef7b87e2a4e99756f393e8625d03;
nNIKAL100_mExportSymbol(_8a4bef7b87e2a4e99756f393e8625d03);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor4linkERN9nNIMRL10023iPrimitiveSupervisorMapERN10nNIMDBG1008tStatus2E=_9db7ae17450968b6774db520e075f9dc */
extern int _9db7ae17450968b6774db520e075f9dc;
nNIKAL100_mExportSymbol(_9db7ae17450968b6774db520e075f9dc);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor6unlinkERN10nNIMDBG1008tStatus2E=_264e26fa730b143ff564453d612eaecb */
extern int _264e26fa730b143ff564453d612eaecb;
nNIKAL100_mExportSymbol(_264e26fa730b143ff564453d612eaecb);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor14unlinkResourceERN10nNIMDBG1008tStatus2E=_e100a24d4660703a2f5c1366d966f130 */
extern int _e100a24d4660703a2f5c1366d966f130;
nNIKAL100_mExportSymbol(_e100a24d4660703a2f5c1366d966f130);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor10initializeERKN9nNIMRL10018iPrimitiveSettingsEPNS1_14iRuntimeFacadeERN10nNIMDBG1008tStatus2E=_2c8105e0b787c4810df71469b6417b16 */
extern int _2c8105e0b787c4810df71469b6417b16;
nNIKAL100_mExportSymbol(_2c8105e0b787c4810df71469b6417b16);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisorC1Ev=_e743d1c8e6ac12d20cde764ae97a86b2 */
extern int _e743d1c8e6ac12d20cde764ae97a86b2;
nNIKAL100_mExportSymbol(_e743d1c8e6ac12d20cde764ae97a86b2);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisorC2Ev=_a23a1d06b89853e8a65a8977a0548855 */
extern int _a23a1d06b89853e8a65a8977a0548855;
nNIKAL100_mExportSymbol(_a23a1d06b89853e8a65a8977a0548855);
/* _ZNK10nNISTCR10036tSTCCounterSplittingWriterSupervisor8getClassERi=_fe36ec40399703bb9ab1c0be8eb3a4e8 */
extern int _fe36ec40399703bb9ab1c0be8eb3a4e8;
nNIKAL100_mExportSymbol(_fe36ec40399703bb9ab1c0be8eb3a4e8);
/* _ZNK10nNISTCR10036tSTCCounterSplittingWriterSupervisor20___CPPKRLDynamicCastEPKPv=_9d23f0693c4a6c6c8876fca5c03cd213 */
extern int _9d23f0693c4a6c6c8876fca5c03cd213;
nNIKAL100_mExportSymbol(_9d23f0693c4a6c6c8876fca5c03cd213);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor6deployERKN9nNIMRL10018iPrimitiveSettingsERN10nNIMDBG1008tStatus2E=_0edc00ad7dfc00f9b71db1bbf3f8966a */
extern int _0edc00ad7dfc00f9b71db1bbf3f8966a;
nNIKAL100_mExportSymbol(_0edc00ad7dfc00f9b71db1bbf3f8966a);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisorD1Ev=_10f93663a858b1b138c4c002e58d0d93 */
extern int _10f93663a858b1b138c4c002e58d0d93;
nNIKAL100_mExportSymbol(_10f93663a858b1b138c4c002e58d0d93);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisorD2Ev=_37c54a7486d22b5b2b37888f8401ea35 */
extern int _37c54a7486d22b5b2b37888f8401ea35;
nNIKAL100_mExportSymbol(_37c54a7486d22b5b2b37888f8401ea35);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisorD0Ev=_6c9426a01a6ce5daab9dfc7384d2b103 */
extern int _6c9426a01a6ce5daab9dfc7384d2b103;
nNIKAL100_mExportSymbol(_6c9426a01a6ce5daab9dfc7384d2b103);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor20___CPPKRLDynamicCastEPKPv=_93813f7854e9a91fd019f17d2f968c1d */
extern int _93813f7854e9a91fd019f17d2f968c1d;
nNIKAL100_mExportSymbol(_93813f7854e9a91fd019f17d2f968c1d);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor13___CPPKRLCastEPKS0_PKPv=_fc0fd2ff8a2e9758b5a109b099b8d9ce */
extern int _fc0fd2ff8a2e9758b5a109b099b8d9ce;
nNIKAL100_mExportSymbol(_fc0fd2ff8a2e9758b5a109b099b8d9ce);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor13___CPPKRLCastEPS0_PKPv=_7994e853e6e7202d3383e5045284906a */
extern int _7994e853e6e7202d3383e5045284906a;
nNIKAL100_mExportSymbol(_7994e853e6e7202d3383e5045284906a);
/* _ZN10nNISTCR10019tSTCCounterResource25destroySTCCounterResourceEPS0_RN10nNIMDBG1008tStatus2E=_6eaa6fe958b605a24b4a1c8ebf73abe4 */
extern int _6eaa6fe958b605a24b4a1c8ebf73abe4;
nNIKAL100_mExportSymbol(_6eaa6fe958b605a24b4a1c8ebf73abe4);
/* _ZN10nNISTCR10019tSTCCounterResource13___CPPKRLCastEPS0_PKPv=_dc968d28f7060414646b9205cd21b1fe */
extern int _dc968d28f7060414646b9205cd21b1fe;
nNIKAL100_mExportSymbol(_dc968d28f7060414646b9205cd21b1fe);
/* _ZN10nNISTCR10019tSTCCounterResource20___CPPKRLDynamicCastEPKPv=_8ebeb1731e468377519e648e0154b9f7 */
extern int _8ebeb1731e468377519e648e0154b9f7;
nNIKAL100_mExportSymbol(_8ebeb1731e468377519e648e0154b9f7);
/* _ZN10nNISTCR10019tSTCCounterResource13___CPPKRLCastEPKS0_PKPv=_d25d6f94ab70ca51559027f25d194ef2 */
extern int _d25d6f94ab70ca51559027f25d194ef2;
nNIKAL100_mExportSymbol(_d25d6f94ab70ca51559027f25d194ef2);
/* _ZNK10nNISTCR10019tSTCCounterResource20___CPPKRLDynamicCastEPKPv=_b5d57419853ab73da26549b8bf52c37e */
extern int _b5d57419853ab73da26549b8bf52c37e;
nNIKAL100_mExportSymbol(_b5d57419853ab73da26549b8bf52c37e);
/* _ZN10nNISTCR10019tSTCCounterResource24createSTCCounterResourceE19tMemAllocationFlagsPN9nNISTC20013tMemMappedSTCEPNS_17iSTCCounterDMATapEPNS2_20tInterruptDispatcherEN4_STL12basic_stringIcNS9_11char_traitsIcEENS9_9allocatorIcEEEERN10nNIMDBG1008tStatus2E=_a05ce48ac7094146cc2acf99897d638b */
extern int _a05ce48ac7094146cc2acf99897d638b;
nNIKAL100_mExportSymbol(_a05ce48ac7094146cc2acf99897d638b);
extern int _ZN10nNISTCR10017tSTCDigControllerD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10017tSTCDigControllerD0Ev);
extern int _ZN10nNISTCR10017tSTCDigControllerD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10017tSTCDigControllerD1Ev);
extern int _ZN10nNISTCR10017tSTCDigControllerD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10017tSTCDigControllerD2Ev);
/* _ZN10nNISTCR10017tSTCDigController5resetERN10nNIMDBG1008tStatus2E=_506fbae0facd5356c3f4c50ed0f73535 */
extern int _506fbae0facd5356c3f4c50ed0f73535;
nNIKAL100_mExportSymbol(_506fbae0facd5356c3f4c50ed0f73535);
/* _ZN10nNISTCR10017tSTCDigControllerC1ERN9nNISTC20013tMemMappedSTCERN10nNIMDBG1008tStatus2E=_a8cc585f37758659437a08073115ed12 */
extern int _a8cc585f37758659437a08073115ed12;
nNIKAL100_mExportSymbol(_a8cc585f37758659437a08073115ed12);
/* _ZN10nNISTCR10017tSTCDigControllerC2ERN9nNISTC20013tMemMappedSTCERN10nNIMDBG1008tStatus2E=_7876aa854e571a224a31ef269c6e1dd1 */
extern int _7876aa854e571a224a31ef269c6e1dd1;
nNIKAL100_mExportSymbol(_7876aa854e571a224a31ef269c6e1dd1);
extern int _ZN10nNISTCR10023tSTC_HWTimingControllerD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10023tSTC_HWTimingControllerD0Ev);
extern int _ZN10nNISTCR10023tSTC_HWTimingControllerD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10023tSTC_HWTimingControllerD1Ev);
extern int _ZN10nNISTCR10023tSTC_HWTimingControllerD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10023tSTC_HWTimingControllerD2Ev);
/* _ZN10nNISTCR10023tSTC_HWTimingController10serialReadERN10nNIMDBG1008tStatus2E=_6493a770851165f2c98eba6adbf73792 */
extern int _6493a770851165f2c98eba6adbf73792;
nNIKAL100_mExportSymbol(_6493a770851165f2c98eba6adbf73792);
/* _ZN10nNISTCR10023tSTC_HWTimingController11serialWriteEhRN10nNIMDBG1008tStatus2E=_3b13366535a55fdb9de4eaee96157a4f */
extern int _3b13366535a55fdb9de4eaee96157a4f;
nNIKAL100_mExportSymbol(_3b13366535a55fdb9de4eaee96157a4f);
/* _ZN10nNISTCR10023tSTC_HWTimingController19startSerialTransferERN10nNIMDBG1008tStatus2E=_899081d66db1825a22ae02031a1b2e69 */
extern int _899081d66db1825a22ae02031a1b2e69;
nNIKAL100_mExportSymbol(_899081d66db1825a22ae02031a1b2e69);
/* _ZN10nNISTCR10023tSTC_HWTimingController5resetERN10nNIMDBG1008tStatus2E=_af798cb2db0b5f416182e47fdca7141b */
extern int _af798cb2db0b5f416182e47fdca7141b;
nNIKAL100_mExportSymbol(_af798cb2db0b5f416182e47fdca7141b);
/* _ZN10nNISTCR10023tSTC_HWTimingControllerC1ERN9nNISTC20013tMemMappedSTCERN10nNIMDBG1008tStatus2E=_58584bad5f88f1aaabcd68c7d76539ba */
extern int _58584bad5f88f1aaabcd68c7d76539ba;
nNIKAL100_mExportSymbol(_58584bad5f88f1aaabcd68c7d76539ba);
/* _ZN10nNISTCR10023tSTC_HWTimingControllerC2ERN9nNISTC20013tMemMappedSTCERN10nNIMDBG1008tStatus2E=_db76318f51c150976e94522a9dc7086b */
extern int _db76318f51c150976e94522a9dc7086b;
nNIKAL100_mExportSymbol(_db76318f51c150976e94522a9dc7086b);
/* _ZN10nNISTCR10023tSTC_HWTimingController24serialTransferInProgressERN10nNIMDBG1008tStatus2E=_9fc73c724c7b3a02e31d8204734cd721 */
extern int _9fc73c724c7b3a02e31d8204734cd721;
nNIKAL100_mExportSymbol(_9fc73c724c7b3a02e31d8204734cd721);
/* _ZN10nNISTCR10023tSTC_HWTimingController12setClockRateEN9nNICDP10017tSCXI_HWClockRateERN10nNIMDBG1008tStatus2E=_cc1b309683f1b40d8471d124d1e8be31 */
extern int _cc1b309683f1b40d8471d124d1e8be31;
nNIKAL100_mExportSymbol(_cc1b309683f1b40d8471d124d1e8be31);
/* _ZN10nNISTCR10023tSTC_HWTimingController14disableHWClockERN10nNIMDBG1008tStatus2E=_40559764458efe676c8c2dbdde421c49 */
extern int _40559764458efe676c8c2dbdde421c49;
nNIKAL100_mExportSymbol(_40559764458efe676c8c2dbdde421c49);
/* _ZN10nNISTCR10023tSTC_HWTimingController13enableHWClockERN10nNIMDBG1008tStatus2E=_3f51fcd6c82b3b8f174a6c6c2202ae2f */
extern int _3f51fcd6c82b3b8f174a6c6c2202ae2f;
nNIKAL100_mExportSymbol(_3f51fcd6c82b3b8f174a6c6c2202ae2f);
extern int _ZN10nNISTCR10023tSTC_SWTimingControllerD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10023tSTC_SWTimingControllerD0Ev);
extern int _ZN10nNISTCR10023tSTC_SWTimingControllerD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10023tSTC_SWTimingControllerD1Ev);
extern int _ZN10nNISTCR10023tSTC_SWTimingControllerD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10023tSTC_SWTimingControllerD2Ev);
/* _ZN10nNISTCR10023tSTC_SWTimingController5resetERN10nNIMDBG1008tStatus2E=_34eb4f409fcb6f493a219cef76874f36 */
extern int _34eb4f409fcb6f493a219cef76874f36;
nNIKAL100_mExportSymbol(_34eb4f409fcb6f493a219cef76874f36);
/* _ZN10nNISTCR10023tSTC_SWTimingControllerC1ERN9nNISTC20013tMemMappedSTCERN10nNIMDBG1008tStatus2E=_5fae6b7e48fcc7f21b61a3067d22b882 */
extern int _5fae6b7e48fcc7f21b61a3067d22b882;
nNIKAL100_mExportSymbol(_5fae6b7e48fcc7f21b61a3067d22b882);
/* _ZN10nNISTCR10023tSTC_SWTimingControllerC2ERN9nNISTC20013tMemMappedSTCERN10nNIMDBG1008tStatus2E=_831d13ebd405afbd4bb590f21e7bf375 */
extern int _831d13ebd405afbd4bb590f21e7bf375;
nNIKAL100_mExportSymbol(_831d13ebd405afbd4bb590f21e7bf375);
/* _ZN10nNISTCR10023tSTC_SWTimingController16outputClockLevelEN9nNICDP10011tClockLevelERN10nNIMDBG1008tStatus2E=_ac38199aca2fbc617e3ec71ebb2b07b4 */
extern int _ac38199aca2fbc617e3ec71ebb2b07b4;
nNIKAL100_mExportSymbol(_ac38199aca2fbc617e3ec71ebb2b07b4);
/* _ZN10nNISTCR10019deleteDIOPrimitivesEPNS_14tDIOPrimitivesE=_24079a1e2019a0b4c5c5e853d7937c83 */
extern int _24079a1e2019a0b4c5c5e853d7937c83;
nNIKAL100_mExportSymbol(_24079a1e2019a0b4c5c5e853d7937c83);
/* _ZN10nNISTCR10019createDIOPrimitivesEPN9nNISTC20013tMemMappedSTCEPNS_14tDIOPrimitivesERN10nNIMDBG1008tStatus2E=_ab842abd15fe7e3402273686d6282d39 */
extern int _ab842abd15fe7e3402273686d6282d39;
nNIKAL100_mExportSymbol(_ab842abd15fe7e3402273686d6282d39);
/* _ZN10nNISTCR10012tRoutableSTCC2EPN9nNISTC20013tMemMappedSTCERN10nNIMDBG1008tStatus2E=_c4249de198ba81d650f4217c7caf4c4a */
extern int _c4249de198ba81d650f4217c7caf4c4a;
nNIKAL100_mExportSymbol(_c4249de198ba81d650f4217c7caf4c4a);
/* _ZN10nNISTCR10012tRoutableSTCC1EPN9nNISTC20013tMemMappedSTCERN10nNIMDBG1008tStatus2E=_a8fcaa8cd7685cb4dc99b58714525478 */
extern int _a8fcaa8cd7685cb4dc99b58714525478;
nNIKAL100_mExportSymbol(_a8fcaa8cd7685cb4dc99b58714525478);
/* _ZN10nNISTCR10012tRoutableSTC5flushERN10nNIMDBG1008tStatus2E=_940da0088d59606af22c2d0af4da4bf8 */
extern int _940da0088d59606af22c2d0af4da4bf8;
nNIKAL100_mExportSymbol(_940da0088d59606af22c2d0af4da4bf8);
extern int _ZN10nNISTCR10012tRoutableSTCD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10012tRoutableSTCD0Ev);
extern int _ZN10nNISTCR10012tRoutableSTCD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10012tRoutableSTCD1Ev);
extern int _ZN10nNISTCR10012tRoutableSTCD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10012tRoutableSTCD2Ev);
/* _ZN10nNISTCR10012tRoutableSTC19setRoutingAttributeEjjRN10nNIMDBG1008tStatus2E=_73398b6717f8b82b116f391c4fef3021 */
extern int _73398b6717f8b82b116f391c4fef3021;
nNIKAL100_mExportSymbol(_73398b6717f8b82b116f391c4fef3021);
/* _ZN10nNISTCR10012tRoutableSTC20setRoutingAttributesERKN4_STL6vectorIN9nNIMRU21012tSettingPairENS1_13tPALAllocatorIS4_L19tMemAllocationFlags4EEEEERN10nNIMDBG1008tStatus2E=_246439ab5ee9a88d08a9acb51b608f83 */
extern int _246439ab5ee9a88d08a9acb51b608f83;
nNIKAL100_mExportSymbol(_246439ab5ee9a88d08a9acb51b608f83);
/* _ZN10nNISTCR10028tSTCCounterPrimitiveSettings16___ORBGetTObjectEv=_c3e42a918d27e996136d7956c81fd95d */
extern int _c3e42a918d27e996136d7956c81fd95d;
nNIKAL100_mExportSymbol(_c3e42a918d27e996136d7956c81fd95d);
/* _ZN10nNISTCR10028tSTCCounterPrimitiveSettings14staticGetClassERi=_ac8311b253c84bde0ddda338d6147676 */
extern int _ac8311b253c84bde0ddda338d6147676;
nNIKAL100_mExportSymbol(_ac8311b253c84bde0ddda338d6147676);
/* _ZN10nNISTCR10028tSTCCounterPrimitiveSettings12readExternalERN9nNIORB10013iObjectReaderERi=_8c5bb3fa1ad86bc9c391550890acf52e */
extern int _8c5bb3fa1ad86bc9c391550890acf52e;
nNIKAL100_mExportSymbol(_8c5bb3fa1ad86bc9c391550890acf52e);
/* _ZNK10nNISTCR10028tSTCCounterPrimitiveSettings13writeExternalERN9nNIORB10013iObjectWriterERi=_abca1e09753f5ebe7750ab4f7954e32d */
extern int _abca1e09753f5ebe7750ab4f7954e32d;
nNIKAL100_mExportSymbol(_abca1e09753f5ebe7750ab4f7954e32d);
extern int _ZN10nNISTCR10028tSTCCounterPrimitiveSettingsaSERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCCounterPrimitiveSettingsaSERKS0_);
extern int _ZNK10nNISTCR10028tSTCCounterPrimitiveSettings5cloneERi;
nNIKAL100_mExportSymbol(_ZNK10nNISTCR10028tSTCCounterPrimitiveSettings5cloneERi);
extern int _ZN10nNISTCR10028tSTCCounterPrimitiveSettingsD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCCounterPrimitiveSettingsD2Ev);
extern int _ZN10nNISTCR10028tSTCCounterPrimitiveSettingsD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCCounterPrimitiveSettingsD1Ev);
extern int _ZN10nNISTCR10028tSTCCounterPrimitiveSettingsD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCCounterPrimitiveSettingsD0Ev);
extern int _ZN10nNISTCR10028tSTCCounterPrimitiveSettingsC1ERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCCounterPrimitiveSettingsC1ERKS0_);
extern int _ZN10nNISTCR10028tSTCCounterPrimitiveSettingsC2ERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCCounterPrimitiveSettingsC2ERKS0_);
extern int _ZN10nNISTCR10028tSTCCounterPrimitiveSettingsC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCCounterPrimitiveSettingsC1Ev);
extern int _ZN10nNISTCR10028tSTCCounterPrimitiveSettingsC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCCounterPrimitiveSettingsC2Ev);
/* _ZNK10nNISTCR10028tSTCCounterPrimitiveSettings8getClassERi=_676f064b792cd39cbf7ff54238d29ef7 */
extern int _676f064b792cd39cbf7ff54238d29ef7;
nNIKAL100_mExportSymbol(_676f064b792cd39cbf7ff54238d29ef7);
/* _ZN10nNISTCR10028tSTCCounterPrimitiveSettings13___CPPKRLCastEPS0_PKPv=_a5a5cd0a4d8fdc4b25011cf0526ec0a1 */
extern int _a5a5cd0a4d8fdc4b25011cf0526ec0a1;
nNIKAL100_mExportSymbol(_a5a5cd0a4d8fdc4b25011cf0526ec0a1);
/* _ZN10nNISTCR10028tSTCCounterPrimitiveSettings20___CPPKRLDynamicCastEPKPv=_624bfb47b752eb5abb8a719fe160a461 */
extern int _624bfb47b752eb5abb8a719fe160a461;
nNIKAL100_mExportSymbol(_624bfb47b752eb5abb8a719fe160a461);
/* _ZN10nNISTCR10028tSTCCounterPrimitiveSettings13___CPPKRLCastEPKS0_PKPv=_d1bd2eeda2e8d19f11ea7bfa3ef53d2b */
extern int _d1bd2eeda2e8d19f11ea7bfa3ef53d2b;
nNIKAL100_mExportSymbol(_d1bd2eeda2e8d19f11ea7bfa3ef53d2b);
/* _ZNK10nNISTCR10028tSTCCounterPrimitiveSettings20___CPPKRLDynamicCastEPKPv=_187cf8d8f1ec5feacfb10f11f026eeeb */
extern int _187cf8d8f1ec5feacfb10f11f026eeeb;
nNIKAL100_mExportSymbol(_187cf8d8f1ec5feacfb10f11f026eeeb);
/* _ZN10nNISTCR10034tSTCCounterSplittingWriterSettings16___ORBGetTObjectEv=_8be41a88fd3380d35c2c268175f2c69b */
extern int _8be41a88fd3380d35c2c268175f2c69b;
nNIKAL100_mExportSymbol(_8be41a88fd3380d35c2c268175f2c69b);
/* _ZN10nNISTCR10034tSTCCounterSplittingWriterSettings14staticGetClassERi=_c57b57dfb20c9e4a8a409604589c3717 */
extern int _c57b57dfb20c9e4a8a409604589c3717;
nNIKAL100_mExportSymbol(_c57b57dfb20c9e4a8a409604589c3717);
/* _ZNK10nNISTCR10034tSTCCounterSplittingWriterSettings13writeExternalERN9nNIORB10013iObjectWriterERi=_64b1ca656602eabd040d73774cd8485f */
extern int _64b1ca656602eabd040d73774cd8485f;
nNIKAL100_mExportSymbol(_64b1ca656602eabd040d73774cd8485f);
/* _ZN10nNISTCR10034tSTCCounterSplittingWriterSettings12readExternalERN9nNIORB10013iObjectReaderERi=_69ce25c6e43a949a993de2af3149d91c */
extern int _69ce25c6e43a949a993de2af3149d91c;
nNIKAL100_mExportSymbol(_69ce25c6e43a949a993de2af3149d91c);
/* _ZN10nNISTCR10034tSTCCounterSplittingWriterSettings14copyAttributesERKN9nNIMRL10018tPrimitiveSettingsERN10nNIMDBG1008tStatus2E=_d0033a7b456d6e490e01a538cf91c1ac */
extern int _d0033a7b456d6e490e01a538cf91c1ac;
nNIKAL100_mExportSymbol(_d0033a7b456d6e490e01a538cf91c1ac);
/* _ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsaSERKS0_=_701af4482fbfef0e2a8008c25225c9e1 */
extern int _701af4482fbfef0e2a8008c25225c9e1;
nNIKAL100_mExportSymbol(_701af4482fbfef0e2a8008c25225c9e1);
extern int _ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsD2Ev);
extern int _ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsC2Ev);
/* _ZNK10nNISTCR10034tSTCCounterSplittingWriterSettings8getClassERi=_be0709d21b34fae34068a4b70e7d00a3 */
extern int _be0709d21b34fae34068a4b70e7d00a3;
nNIKAL100_mExportSymbol(_be0709d21b34fae34068a4b70e7d00a3);
/* _ZN10nNISTCR10034tSTCCounterSplittingWriterSettings13___CPPKRLCastEPS0_PKPv=_9410e9b443577c184129849fb1a4896b */
extern int _9410e9b443577c184129849fb1a4896b;
nNIKAL100_mExportSymbol(_9410e9b443577c184129849fb1a4896b);
/* _ZN10nNISTCR10034tSTCCounterSplittingWriterSettings20___CPPKRLDynamicCastEPKPv=_da3cdbec9f7c724881b1e02edfac866c */
extern int _da3cdbec9f7c724881b1e02edfac866c;
nNIKAL100_mExportSymbol(_da3cdbec9f7c724881b1e02edfac866c);
/* _ZN10nNISTCR10034tSTCCounterSplittingWriterSettings13___CPPKRLCastEPKS0_PKPv=_072850dfd60deb78c783aaa5e078b208 */
extern int _072850dfd60deb78c783aaa5e078b208;
nNIKAL100_mExportSymbol(_072850dfd60deb78c783aaa5e078b208);
/* _ZNK10nNISTCR10034tSTCCounterSplittingWriterSettings20___CPPKRLDynamicCastEPKPv=_f35fa1b24c1bfaf33475e973eb08bf29 */
extern int _f35fa1b24c1bfaf33475e973eb08bf29;
nNIKAL100_mExportSymbol(_f35fa1b24c1bfaf33475e973eb08bf29);
/* _ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsC1ERKS0_=_2534f415eafadfb7a9289bc55f50bdeb */
extern int _2534f415eafadfb7a9289bc55f50bdeb;
nNIKAL100_mExportSymbol(_2534f415eafadfb7a9289bc55f50bdeb);
/* _ZNK10nNISTCR10034tSTCCounterSplittingWriterSettings5cloneERi=_9e62f40ec9b917f599af23ad3e32d5cb */
extern int _9e62f40ec9b917f599af23ad3e32d5cb;
nNIKAL100_mExportSymbol(_9e62f40ec9b917f599af23ad3e32d5cb);
/* _ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsC2ERKS0_=_7d8f9cd839e93e4f5f0628ea3f29d373 */
extern int _7d8f9cd839e93e4f5f0628ea3f29d373;
nNIKAL100_mExportSymbol(_7d8f9cd839e93e4f5f0628ea3f29d373);
extern int _ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsC1Ev);
extern int _ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsD0Ev);
extern int _ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10034tSTCCounterSplittingWriterSettingsD1Ev);
/* _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettings16___ORBGetTObjectEv=_a76a32bdebbd895249b256fb0d10ac2a */
extern int _a76a32bdebbd895249b256fb0d10ac2a;
nNIKAL100_mExportSymbol(_a76a32bdebbd895249b256fb0d10ac2a);
/* _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettings14staticGetClassERi=_a78b2ed1516dfba2e7edd39d6c61100c */
extern int _a78b2ed1516dfba2e7edd39d6c61100c;
nNIKAL100_mExportSymbol(_a78b2ed1516dfba2e7edd39d6c61100c);
/* _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettings12readExternalERN9nNIORB10013iObjectReaderERi=_cb9157b7f42370403ef5c118da38f390 */
extern int _cb9157b7f42370403ef5c118da38f390;
nNIKAL100_mExportSymbol(_cb9157b7f42370403ef5c118da38f390);
/* _ZNK10nNISTCR10028tSTCFREQOUTPrimitiveSettings13writeExternalERN9nNIORB10013iObjectWriterERi=_0b65ac9fbbb587d250155ccaa63d58d7 */
extern int _0b65ac9fbbb587d250155ccaa63d58d7;
nNIKAL100_mExportSymbol(_0b65ac9fbbb587d250155ccaa63d58d7);
extern int _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsaSERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsaSERKS0_);
extern int _ZNK10nNISTCR10028tSTCFREQOUTPrimitiveSettings5cloneERi;
nNIKAL100_mExportSymbol(_ZNK10nNISTCR10028tSTCFREQOUTPrimitiveSettings5cloneERi);
extern int _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsD2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsD2Ev);
extern int _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsD1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsD1Ev);
extern int _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsD0Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsD0Ev);
extern int _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsC1ERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsC1ERKS0_);
extern int _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsC2ERKS0_;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsC2ERKS0_);
extern int _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsC1Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsC1Ev);
extern int _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsC2Ev;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettingsC2Ev);
/* _ZNK10nNISTCR10028tSTCFREQOUTPrimitiveSettings8getClassERi=_4c0d6391d753d56c1183decae38ab71a */
extern int _4c0d6391d753d56c1183decae38ab71a;
nNIKAL100_mExportSymbol(_4c0d6391d753d56c1183decae38ab71a);
/* _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettings13___CPPKRLCastEPS0_PKPv=_acb05a5d275b2b9dee85dd9db874d57d */
extern int _acb05a5d275b2b9dee85dd9db874d57d;
nNIKAL100_mExportSymbol(_acb05a5d275b2b9dee85dd9db874d57d);
/* _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettings20___CPPKRLDynamicCastEPKPv=_c7fa042ba15e7f3bc153612ac471b493 */
extern int _c7fa042ba15e7f3bc153612ac471b493;
nNIKAL100_mExportSymbol(_c7fa042ba15e7f3bc153612ac471b493);
/* _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettings13___CPPKRLCastEPKS0_PKPv=_87aa6b805e710fced16783bc237e2f52 */
extern int _87aa6b805e710fced16783bc237e2f52;
nNIKAL100_mExportSymbol(_87aa6b805e710fced16783bc237e2f52);
/* _ZNK10nNISTCR10028tSTCFREQOUTPrimitiveSettings20___CPPKRLDynamicCastEPKPv=_3bf7f74dc978f3d836b40be075635a12 */
extern int _3bf7f74dc978f3d836b40be075635a12;
nNIKAL100_mExportSymbol(_3bf7f74dc978f3d836b40be075635a12);
extern int _ZN10nNISTCR10017getCurrentVersionERi;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10017getCurrentVersionERi);
extern int _ZN10nNISTCR10026getOldestCompatibleVersionERi;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10026getOldestCompatibleVersionERi);
extern int _ZN10nNISTCR10014compareVersionERK10tSSVersionS2_RiPKc;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10014compareVersionERK10tSSVersionS2_RiPKc);
/* _ZN10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor10___classIDE=_383d2d04cfc670ba5634df5bff64bbee */
extern int _383d2d04cfc670ba5634df5bff64bbee;
nNIKAL100_mExportSymbol(_383d2d04cfc670ba5634df5bff64bbee);
extern int _ZN10nNISTCR10019tSTCFREQOUTResource10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10019tSTCFREQOUTResource10___classIDE);
/* _ZN10nNISTCR10030tSTCCounterPrimitiveSupervisor10___classIDE=_b91631d5335a81311649db19acefb5c3 */
extern int _b91631d5335a81311649db19acefb5c3;
nNIKAL100_mExportSymbol(_b91631d5335a81311649db19acefb5c3);
/* _ZN10nNISTCR10036tSTCCounterSplittingWriterSupervisor10___classIDE=_0af468534cc07fedeb09c971d3b54302 */
extern int _0af468534cc07fedeb09c971d3b54302;
nNIKAL100_mExportSymbol(_0af468534cc07fedeb09c971d3b54302);
extern int _ZN10nNISTCR10019tSTCCounterResource10___classIDE;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10019tSTCCounterResource10___classIDE);
/* _ZN10nNISTCR10028tSTCCounterPrimitiveSettings10___classIDE=_b7865b9f46970e1f402e01331e3f9e5e */
extern int _b7865b9f46970e1f402e01331e3f9e5e;
nNIKAL100_mExportSymbol(_b7865b9f46970e1f402e01331e3f9e5e);
/* _ZN10nNISTCR10034tSTCCounterSplittingWriterSettings10___classIDE=_67af91033141ebfd4426185211b8ca4d */
extern int _67af91033141ebfd4426185211b8ca4d;
nNIKAL100_mExportSymbol(_67af91033141ebfd4426185211b8ca4d);
/* _ZN10nNISTCR10028tSTCFREQOUTPrimitiveSettings10___classIDE=_b88b1d9ffcf23478fb165702027d0f1e */
extern int _b88b1d9ffcf23478fb165702027d0f1e;
nNIKAL100_mExportSymbol(_b88b1d9ffcf23478fb165702027d0f1e);
extern int _ZN10nNISTCR10016kSTCCounter0NameE;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10016kSTCCounter0NameE);
extern int _ZN10nNISTCR10016kSTCCounter1NameE;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10016kSTCCounter1NameE);
extern int _ZN10nNISTCR10015kSTCFREQOUTNameE;
nNIKAL100_mExportSymbol(_ZN10nNISTCR10015kSTCFREQOUTNameE);
/* _ZTv0_n32_NK10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor20___CPPKRLDynamicCastEPKPv=_5409b117fbd794dc2227f410a70d8811 */
extern int _5409b117fbd794dc2227f410a70d8811;
nNIKAL100_mExportSymbol(_5409b117fbd794dc2227f410a70d8811);
/* _ZTv0_n24_N10nNISTCR10030tSTCFREQOUTPrimitiveSupervisor20___CPPKRLDynamicCastEPKPv=_cc5d58c20834a3f28f9b16f74cdb8deb */
extern int _cc5d58c20834a3f28f9b16f74cdb8deb;
nNIKAL100_mExportSymbol(_cc5d58c20834a3f28f9b16f74cdb8deb);
/* _ZTv0_n40_NK10nNISTCR10030tSTCCounterPrimitiveSupervisor20___CPPKRLDynamicCastEPKPv=_25f409842557f85856c25d4a91076beb */
extern int _25f409842557f85856c25d4a91076beb;
nNIKAL100_mExportSymbol(_25f409842557f85856c25d4a91076beb);
/* _ZTv0_n32_NK10nNISTCR10030tSTCCounterPrimitiveSupervisor20___CPPKRLDynamicCastEPKPv=_85bc699656d84edd2c2c3aaaed542e80 */
extern int _85bc699656d84edd2c2c3aaaed542e80;
nNIKAL100_mExportSymbol(_85bc699656d84edd2c2c3aaaed542e80);
/* _ZTv0_n32_N10nNISTCR10030tSTCCounterPrimitiveSupervisor20___CPPKRLDynamicCastEPKPv=_f9995bf1ba992084e65a353c3fdc9982 */
extern int _f9995bf1ba992084e65a353c3fdc9982;
nNIKAL100_mExportSymbol(_f9995bf1ba992084e65a353c3fdc9982);
/* _ZTv0_n24_N10nNISTCR10030tSTCCounterPrimitiveSupervisor20___CPPKRLDynamicCastEPKPv=_d26a7676862a682f4b45964bedf6d7c6 */
extern int _d26a7676862a682f4b45964bedf6d7c6;
nNIKAL100_mExportSymbol(_d26a7676862a682f4b45964bedf6d7c6);
/* _ZTv0_n40_NK10nNISTCR10036tSTCCounterSplittingWriterSupervisor20___CPPKRLDynamicCastEPKPv=_39825a012abca8514b07c0e98f572235 */
extern int _39825a012abca8514b07c0e98f572235;
nNIKAL100_mExportSymbol(_39825a012abca8514b07c0e98f572235);
/* _ZTv0_n32_NK10nNISTCR10036tSTCCounterSplittingWriterSupervisor20___CPPKRLDynamicCastEPKPv=_64d22c49095f79e53bf85b54a761270a */
extern int _64d22c49095f79e53bf85b54a761270a;
nNIKAL100_mExportSymbol(_64d22c49095f79e53bf85b54a761270a);
/* _ZTv0_n32_N10nNISTCR10036tSTCCounterSplittingWriterSupervisor20___CPPKRLDynamicCastEPKPv=_0219fd55754bb8e939e60520d42f0b13 */
extern int _0219fd55754bb8e939e60520d42f0b13;
nNIKAL100_mExportSymbol(_0219fd55754bb8e939e60520d42f0b13);
/* _ZTv0_n24_N10nNISTCR10036tSTCCounterSplittingWriterSupervisor20___CPPKRLDynamicCastEPKPv=_ef00a6714b320816affdf8eeeb498b11 */
extern int _ef00a6714b320816affdf8eeeb498b11;
nNIKAL100_mExportSymbol(_ef00a6714b320816affdf8eeeb498b11);
/* _ZTv0_n24_N10nNISTCR10028tSTCCounterPrimitiveSettings20___CPPKRLDynamicCastEPKPv=_0250df1e721594f17bf3fdbecf3c769f */
extern int _0250df1e721594f17bf3fdbecf3c769f;
nNIKAL100_mExportSymbol(_0250df1e721594f17bf3fdbecf3c769f);
/* _ZTv0_n32_N10nNISTCR10028tSTCCounterPrimitiveSettings20___CPPKRLDynamicCastEPKPv=_f11293fb4d0f0cb4d84bcef48162273c */
extern int _f11293fb4d0f0cb4d84bcef48162273c;
nNIKAL100_mExportSymbol(_f11293fb4d0f0cb4d84bcef48162273c);
/* _ZTv0_n32_NK10nNISTCR10028tSTCCounterPrimitiveSettings20___CPPKRLDynamicCastEPKPv=_fe4ac50bd308094cb99b4a972e41a914 */
extern int _fe4ac50bd308094cb99b4a972e41a914;
nNIKAL100_mExportSymbol(_fe4ac50bd308094cb99b4a972e41a914);
/* _ZTv0_n40_NK10nNISTCR10028tSTCCounterPrimitiveSettings20___CPPKRLDynamicCastEPKPv=_e903c21d6302e44ed54554fa393577af */
extern int _e903c21d6302e44ed54554fa393577af;
nNIKAL100_mExportSymbol(_e903c21d6302e44ed54554fa393577af);
/* _ZTv0_n24_N10nNISTCR10034tSTCCounterSplittingWriterSettings20___CPPKRLDynamicCastEPKPv=_89867eb007c4a7ab25d0b5f9e9e2e713 */
extern int _89867eb007c4a7ab25d0b5f9e9e2e713;
nNIKAL100_mExportSymbol(_89867eb007c4a7ab25d0b5f9e9e2e713);
/* _ZTv0_n32_N10nNISTCR10034tSTCCounterSplittingWriterSettings20___CPPKRLDynamicCastEPKPv=_59e7580f005a6c9f499301c5091ac244 */
extern int _59e7580f005a6c9f499301c5091ac244;
nNIKAL100_mExportSymbol(_59e7580f005a6c9f499301c5091ac244);
/* _ZTv0_n32_NK10nNISTCR10034tSTCCounterSplittingWriterSettings20___CPPKRLDynamicCastEPKPv=_7c8864769c4dcd6cf080275a7c6d8089 */
extern int _7c8864769c4dcd6cf080275a7c6d8089;
nNIKAL100_mExportSymbol(_7c8864769c4dcd6cf080275a7c6d8089);
/* _ZTv0_n40_NK10nNISTCR10034tSTCCounterSplittingWriterSettings20___CPPKRLDynamicCastEPKPv=_f80e12dc59bf472e5bef1e3b93987052 */
extern int _f80e12dc59bf472e5bef1e3b93987052;
nNIKAL100_mExportSymbol(_f80e12dc59bf472e5bef1e3b93987052);
/* _ZTv0_n24_N10nNISTCR10028tSTCFREQOUTPrimitiveSettings20___CPPKRLDynamicCastEPKPv=_d99b217a695130befcbd9c29017a365c */
extern int _d99b217a695130befcbd9c29017a365c;
nNIKAL100_mExportSymbol(_d99b217a695130befcbd9c29017a365c);
/* _ZTv0_n32_N10nNISTCR10028tSTCFREQOUTPrimitiveSettings20___CPPKRLDynamicCastEPKPv=_152cefb0e022c48b6b886307479dc774 */
extern int _152cefb0e022c48b6b886307479dc774;
nNIKAL100_mExportSymbol(_152cefb0e022c48b6b886307479dc774);
/* _ZTv0_n32_NK10nNISTCR10028tSTCFREQOUTPrimitiveSettings20___CPPKRLDynamicCastEPKPv=_c1175901fe19cf6b8966ddca9afb9360 */
extern int _c1175901fe19cf6b8966ddca9afb9360;
nNIKAL100_mExportSymbol(_c1175901fe19cf6b8966ddca9afb9360);
/* _ZTv0_n40_NK10nNISTCR10028tSTCFREQOUTPrimitiveSettings20___CPPKRLDynamicCastEPKPv=_589a4985fdf7867908f73a9117b7832e */
extern int _589a4985fdf7867908f73a9117b7832e;
nNIKAL100_mExportSymbol(_589a4985fdf7867908f73a9117b7832e);
